%global pypi_name hyperlink
%global commitId eae9223fafccfc4b32f8309bfe2b6817c3a88331

%global common_description %{expand:
The humble, but powerful, URL runs everything around us. Chances are you've
used several just to read this text. Hyperlink is a featureful, pure-Python
implementation of the URL, with an emphasis on correctness.}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        21.0.0
Release:        1%{?dist}
Summary:        A featureful, immutable, and correct URL for Python

License:        MIT
URL:            https://github.com/python-hyper/hyperlink
Source0:        python-hyperlink-eae9223fafccfc4b32f8309bfe2b6817c3a88331.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        A featureful, immutable, and correct URL for Python

Requires:  python%{python3_pkgversion}-idna >= 2.5

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 01 2023 James Marshall <jamarsha@redhat.com> 21.0.0-1
- Initial release
